Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006410opensim[REGION] Physics Enginespublic2012-11-08 08:342014-07-29 13:41
ReporterGarmin Kawaguichi 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006410: Crossing the region border, a flying avatar falls to the ground
DescriptionThe same as mantis 6186 2012-08-13 (resolved)
OpenSim dev 20935_9bc0419_081112 standalone, 4 standard regions
After he has crossed the border between 2 regions (same simulator), a flying avatar continues to fly but does not keep his altitude; he falls to the ground or seabed.
To start again to fly normally, fly must be stopped and reactivated with the fly button or control.
A test with ODE in the same conditions has a standard behavior.
Steps To ReproduceFly and cross a border between 2 regions
TagsNo tags attached.
Git Revision or version number9bc0419
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerImprudence
Attached Files

- Relationships

-  Notes
(0023167)
Robert Adams (administrator)
2012-11-19 12:10

BulletSim lost the flying state when the avatar is recreated in the crossed into region. BSCharacter.SetPhysicalProperties() now resets flying state so the correct buoyancy is set.

- Issue History
Date Modified Username Field Change
2012-11-08 08:34 Garmin Kawaguichi New Issue
2012-11-10 11:43 Robert Adams Assigned To => Robert Adams
2012-11-10 11:43 Robert Adams Status new => assigned
2012-11-19 12:10 Robert Adams Note Added: 0023167
2012-11-19 12:10 Robert Adams Status assigned => resolved
2012-11-19 12:10 Robert Adams Fixed in Version => master (dev code)
2012-11-19 12:10 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker